=== debian/changelog ===
pyviennacl (1.0.2+dfsg-1build3) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 00:43:13 +0000

pyviennacl (1.0.2+dfsg-1build2) wily; urgency=medium

  * No-change rebuild using boost 1.58.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Aug 2015 12:55:32 +0000

pyviennacl (1.0.2+dfsg-1build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 23 Jul 2015 07:15:58 +0000

pyviennacl (1.0.2+dfsg-1) unstable; urgency=medium

  * [34ed3ae] New upstream release 1.0.2
  * [6c25340] debian/copyright: exclude external files
  * [62374c3] Fix debian/rules to build cleanly given excluded files
  * [248193f] Add dversionmangle to watch file
  * [5bffadd] Install upstream changelog

 -- Toby Smithe <tsmithe@ubuntu.com>  Tue, 06 May 2014 10:22:39 +0100

pyviennacl (1.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #732921)

 -- Toby Smithe <tsmithe@ubuntu.com>  Mon, 10 Mar 2014 18:31:51 +0000
