=== debian/control ===
Source: pyviennacl
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Toby Smithe <tsmithe@ubuntu.com>
Build-Depends: debhelper (>= 9), dh-python, cmake, python-all-dev, python3-all-dev,
 python-setuptools, python3-setuptools, python-numpy, python3-numpy, python-sphinx,
 python3-sphinx, libboost-python-dev, opencl-headers, ocl-icd-libopencl1 | libopencl1,
 libviennacl-dev (>= 1.5.1)
Standards-Version: 3.9.5
Homepage: http://viennacl.sourceforge.net/pyviennacl.html
Vcs-Git: git://git.debian.org/debian-science/packages/pyviennacl.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/pyviennacl.git

Package: python-pyviennacl
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, python-scipy
Suggests: pyviennacl-doc
Description: Python bindings for ViennaCL linear algebra library (for Python 2)
 The Vienna Computing Library (ViennaCL) is a free open-source
 scientific computing library written in C++ and provides CUDA, OpenCL
 and OpenMP computing backends. It enables simple, high-level access
 to the vast computing resources available on parallel architectures
 such as GPUs and is primarily focused on common linear algebra
 operations (BLAS levels 1, 2 and 3) and the solution of large systems
 of equations by means of iterative methods with optional
 preconditioners.
 .
 This package provides the Python 2 bindings for ViennaCL, PyViennaCL,
 letting you harness the computational power of ViennaCL in the
 context of the Python scientific ecosystem.

Package: python3-pyviennacl
Architecture: any
Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}, python3-scipy
Suggests: pyviennacl-doc
Description: Python bindings for ViennaCL linear algebra library (for Python 3)
 The Vienna Computing Library (ViennaCL) is a free open-source
 scientific computing library written in C++ and provides CUDA, OpenCL
 and OpenMP computing backends. It enables simple, high-level access
 to the vast computing resources available on parallel architectures
 such as GPUs and is primarily focused on common linear algebra
 operations (BLAS levels 1, 2 and 3) and the solution of large systems
 of equations by means of iterative methods with optional
 preconditioners.
 .
 This package provides the Python 3 bindings for ViennaCL, PyViennaCL,
 letting you harness the computational power of ViennaCL in the
 context of the Python scientific ecosystem.

Package: pyviennacl-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: HTML documentation for PyViennaCL
 The Vienna Computing Library (ViennaCL) is a free open-source
 scientific computing library written in C++ and provides CUDA, OpenCL
 and OpenMP computing backends. It enables simple, high-level access
 to the vast computing resources available on parallel architectures
 such as GPUs and is primarily focused on common linear algebra
 operations (BLAS levels 1, 2 and 3) and the solution of large systems
 of equations by means of iterative methods with optional
 preconditioners.
 .
 This package provides the HTML documentation for PyViennaCL.
