=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=pyviennacl
export PYBUILD_DISABLE=test
export PYBUILD_BEFORE_CLEAN=echo USE_SHIPPED_BOOST = False | tee siteconf.py
export PYBUILD_AFTER_CLEAN=rm Makefile siteconf*py || true
export PYBUILD_BEFORE_BUILD=ln -s {dir}/siteconf{version}.py {dir}/siteconf.py
export PYBUILD_AFTER_BUILD=rm {dir}/siteconf.py
export PYBUILD_BEFORE_INSTALL=ln -s {dir}/siteconf{version}.py {dir}/siteconf.py
export PYBUILD_AFTER_INSTALL=rm {dir}/siteconf.py
export PYBUILD_INSTALL_ARGS=--install-layout deb

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

# Sphinx documentation is architecture-independent
override_dh_sphinxdoc-arch:

override_dh_auto_configure:
	PYBUILD_SYSTEM=custom \
	PYBUILD_CONFIGURE_ARGS="cd {dir}; \
		SITECONF=siteconf{version}.py {interpreter} configure.py --no-use-shipped-boost --no-use-shipped-viennacl" \
		dh_auto_configure
	rm Makefile

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_auto_install-arch:
	dh_auto_install
	dh_numpy
	dh_numpy3

override_dh_auto_install-indep:
	PYTHONPATH=debian/python-pyviennacl/usr/lib/python2.7/dist-packages python doc/build-doc.py
	mkdir -p debian/pyviennacl-doc/usr/share/doc/pyviennacl-doc
	cp -r build/doc debian/pyviennacl-doc/usr/share/doc/pyviennacl-doc/html
	dh_sphinxdoc

override_dh_python3:
	dh_python3
	rm -rf debian/python3-pyviennacl/usr/lib/python3.?

#override_dh_auto_test:
#	PYBUILD_SYSTEM=custom \
#	PYBUILD_TEST_ARGS="set -x; cd {build_dir}; cmake -DPYTHONPATH={build_dir}/pyviennacl/build/lib.linux-`uname -p`-{version} {dir}; ctest -VV" \
#		dh_auto_test
