=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|dev|a|b|c)/~$1/,dversionmangle=s/\+dfsg\d*$// \
https://pypi.python.org/packages/source/p/pyviennacl/pyviennacl-(.*)\.(?:tar\.gz|zip|tar\.bz2)
